Skip to main content
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
blobs
/
databox
Upload databox files
curl --request PUT \
  --url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/blobs/databox \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "contentType": "image/jpeg",
    "filename": "<string>"
  }
]
'
{
  "blobs": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "filename": "<string>",
      "uploaded": false
    }
  ],
  "secret": "<string>",
  "itemId": "<unknown>"
}
This endpoint deals with defining the names and content types of the files. Use Get a file upload link to upload the actual contents of the files by providing the UUIDs and secret from the response.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

assetProviderCountryCode
string
required

The two-letter country code of the asset provider

Required string length: 2
assetProviderCode
string
required

The three-character code of the asset provider the databox belongs to

Required string length: 3

Body

application/json

Information about the BLOBs to be uploaded

contentType
enum<string>
required
Available options:
image/jpeg,
image/png,
application/pdf
filename
string
required

A default name will be taken if none is provided

Response

The BLOB information

blobs
object[]
required
secret
string
required

Secret for retrieving links

Minimum string length: 1
itemId
any
required

Id of the item which holds the blobs. May be string or integer